import 'package:flutter/material.dart';
import 'package:freekake/components/collection_container.dart';

class CollectionCaraterScreen extends StatefulWidget {
  const CollectionCaraterScreen({super.key});

  @override
  State<CollectionCaraterScreen> createState() =>
      _CollectionCaraterScreenState();
}

class _CollectionCaraterScreenState extends State<CollectionCaraterScreen> {
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 80),
          Padding(
            padding: EdgeInsets.all(40),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text("Favorit", style: TextStyle(color: Colors.black)),
                Divider(height: 20, color: Colors.transparent),
                SingleChildScrollView(
                  scrollDirection: Axis.horizontal,
                  child: Row(
                    // alignment: WrapAlignment.spaceAround,
                    spacing: 10, // Horizontal spacing between the containers
                    // runSpacing: 10, // Vertical spacing between lines
                    children: [
                      CollectionContainer(
                        label: "Luffy",
                        imagesrc: 'assets/images/luffy.png',
                        colorContiner: Color.fromRGBO(12, 199, 215, 1),
                        onTapAc: () => {},
                      ),
                      CollectionContainer(
                        label: "Oni Chan",
                        imagesrc: 'assets/images/klipartz.png',
                        onTapAc: () => {},
                      ),
                    ],
                  ),
                ),
                Divider(height: 20, color: Colors.transparent),
                Text("Semua", style: TextStyle(color: Colors.black)),
                Divider(height: 20, color: Colors.transparent),
                SingleChildScrollView(
                  scrollDirection: Axis.horizontal,
                  child: Row(
                    // alignment: WrapAlignment.spaceAround,
                    spacing: 10, // Horizontal spacing between the containers
                    // runSpacing: 10, // Vertical spacing between lines
                    children: [
                      CollectionContainer(
                        label: "Luffy",
                        imagesrc: 'assets/images/luffy.png',
                        colorContiner: Color.fromRGBO(12, 199, 215, 1),
                        onTapAc: () => {},
                      ),
                      CollectionContainer(
                        label: "Oni Chan",
                        imagesrc: 'assets/images/klipartz.png',
                        onTapAc: () => {},
                      ),
                      CollectionContainer(
                        label: "Cepot",
                        imagesrc: 'assets/images/cepott.png',
                        colorContiner: Color.fromRGBO(237, 207, 100, 1.0),
                        onTapAc: () => {},
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
